Tire and brake wear update
Authorizations
DriveKit-Admin-API-KeystringRequired
Path parameters
vehicleIdstringRequired
Header parameters
DriveKit-Admin-API-KeystringRequired
Admin API Key
Content-TypestringRequiredDefault:
application/jsonBody
componentintegerRequired
Component to update. Component considered for the update: (1) Tires (2) Brakes
distancenumberRequired
Distance traveled with the component in kilometer min. = 0 km / max. = 300 000 km
driveintegerRequired
Drivetrain considered for the update: (1) Front drive (2) Rear drive
wearnumberRequired
Level of wear observed for the considered component. This value is in percent (min. = 0% / max. = 100%)
Responses
200
OK
application/json
analyzedDistancenumberRequired
Analyzed distance with the app
distancenumberRequired
total distance travelled by the vehicle
offsetDistancenumberRequired
offset between the total distance and the analyzed distance
changeDatestring · dateRequired
wearnumberRequired
autonomynumberRequired
wearRatenumberRequired
400
Bad Request
application/json
401
Unauthorized
application/json
404
Not Found
application/json
put/drivekit/admin/vehicles/{vehicleId}/wear
PUT /v3/drivekit/admin/vehicles/{vehicleId}/wear HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"component": 1,
"distance": 14000,
"drive": 1,
"wear": 40
}{
"analyzedDistance": 1,
"distance": 1,
"offsetDistance": 1,
"changeDate": "2026-01-01",
"wear": 1,
"autonomy": 1,
"wearRate": 1
}Request body
Field
Type
Description
Recalibration Guidelines
Body samples
Last updated
Was this helpful?

